## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-pyrate-limiter
Version:        2.10.0
Epoch:          1
Release:        %autorelease
Summary:        The request rate limiter using Leaky-bucket algorithm
License:        MIT
URL:            https://github.com/vutran1710/PyrateLimiter
Source0:        %{pypi_source pyrate_limiter}

BuildArch:      noarch
BuildRequires:  python3-devel


# Multiple packages are needed to run tests on this library that are either not packaged for Fedora,
# or are way too old.
# Without those, over 300 tests fail. So I will disable the tests until the situation changes.
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_running_tests
# django-redis = "^5.0.0"
# Currently too old:
# https://bugzilla.redhat.com/show_bug.cgi?id=1445556
# BuildRequires:  %%{py3_dist django-redis} >= 5
# fakeredis = "^1.1.0"
# Not yet packaged:
# BuildRequires:  %%{py3_dist fakeredis} >= 1.1
# pytest-cov = "^4.1.0"
# Too old...
# BuildRequires:  %%{py3_dist pytest-cov} >= 4.1
# Hard dependancy on a specific version of the package (Submitted upstream as a possible problem?)
# coverage = "6"
# BuildRequires:  %%{py3_dist coverage} = 6


%global _description \
The request rate limiter using Leaky-bucket algorithm.

%description %{_description}

%package -n python3-pyrate-limiter
Summary:        %{summary}

%description -n python3-pyrate-limiter %{_description}

%prep
%autosetup -n pyrate_limiter-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyrate_limiter

%check
%pyproject_check_import

%files -n python3-pyrate-limiter -f %{pyproject_files}
%doc README.md
%license LICENSE

%changelog
## START: Generated by rpmautospec
* Sat Feb 24 2024 Steve Cossette <farchord@gmail.com> - 1:2.10.0-4
- Bumping up release again, as builds are failing

* Sat Feb 24 2024 Steve Cossette <farchord@gmail.com> - 1:2.10.0-3
- Bumping up release again, as builds are failing

* Sat Feb 24 2024 Steve Cossette <farchord@gmail.com> - 1:2.10.0-2
- Empty commit

* Sat Feb 24 2024 Steve Cossette <farchord@gmail.com> - 1:2.10.0-1
- Fixed mistake

* Sat Feb 24 2024 Steve Cossette <farchord@gmail.com> - 2:2.10.0-1
- Bumped release (For F39 build)

* Sat Feb 24 2024 Steve Cossette <farchord@gmail.com> - 1:2.10.0-1
- Downgrade to 2.10.0 because of issues with 3.x

* Fri Feb 16 2024 Steve Cossette <farchord@gmail.com> - 3.2.1-1
- Update to 3.2.1

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 11 2024 Steve Cossette <farchord@gmail.com> - 3.2.0-1
- 3.2.0

* Tue Jan 02 2024 Steve Cossette <farchord@gmail.com> - 3.1.1-1
- 3.1.1

* Tue Sep 05 2023 Steve Cossette <farchord@gmail.com> - 3.1.0-2
- Updated sources for 3.1.0

* Tue Sep 05 2023 Steve Cossette <farchord@gmail.com> - 3.1.0-1
- Update to version 3.1.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 2.10.0-2
- Rebuilt for Python 3.12

* Tue May 02 2023 Steve Cossette <farchord@gmail.com> - 2.10.0-1
- Update to 2.10.0

* Sun Feb 26 2023 Steve Cossette <farchord@gmail.com> - 2.9.1-2
- Updating a (non-critical) dependancy issue

* Sun Feb 26 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 2.9.1-1
- Update to 2.9.1

* Tue Feb 21 2023 Steve Cossette <farchord@gmail.com> - 2.9.0-1
- Update to 2.9.0 (And adding some patches to fix issues with tests/docs
  file, as well as the leftover LICENSE file)

* Sun Feb 05 2023 Steve Cossette <farchord@gmail.com> - 2.8.5-1
- Initial import (fedora#2164882)
## END: Generated by rpmautospec
